# class RDoc::NormalClass

A normal class, neither singleton nor anonymous

### Public Instance Methods

ancestors() click to toggle source

Appends the superclass, if any, to the included modules.

    # File lib/rdoc/normal_class.rb, line 9
    def ancestors
      superclass ? super + [superclass] : super
    end

definition() click to toggle source

The definition of this class, `class MyClassName`

    # File lib/rdoc/normal_class.rb, line 16
    def definition
      "class #{full_name}"
    end